-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}
local lastCheckedFireValue -- allows using an input device axis as shooting control, not just on/off buttons

local function onReset()
  electrics.values['lifter'] = 0
  electrics.values['lifter_input'] = 0
  lastCheckedFireValue = 0
end

local function updateGFX(dt) -- ms
  electrics.values['lifter'] = math.min(1.0, math.max(-1.0, (electrics.values['lifter'] + electrics.values['lifter_input'] * dt * 0.5)))
end

local function liftBarrel(value)
  electrics.values.lifter_input = value
end

-- public interface
M.onInit    = onReset
M.onReset   = onReset
M.updateGFX = updateGFX
M.fire      = fire
M.liftBarrel = liftBarrel

return M
